# eps_removal_sp.hh File Reference

This files declares the backward and forward eps_removal algorithm. More...

Include dependency graph for eps_removal_sp.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
void | eps_removal_here_sp (Element< A, AI > &a, misc::direction_type dir=misc::backward)
| In place eps_removal_sp of an automaton (default is backward eps_removal).
template<typename A , typename AI >
Element< A, AI > | eps_removal_sp (const Element< A, AI > &a, misc::direction_type dir=misc::backward)
| Eps_Removal of an automaton (default is backward eps_removal).
template<typename A , typename AI >
void | backward_eps_removal_here_sp (Element< A, AI > &a)
| In place backward eps_removal_sp of an automaton.
template<typename A , typename AI >
Element< A, AI > | backward_eps_removal_sp (const Element< A, AI > &a)
| Backward eps_removal_sp of an automaton.
template<typename A , typename AI >
void | forward_eps_removal_here_sp (Element< A, AI > &a)
| In place forward eps_removal_sp of an automaton.
template<typename A , typename AI >
Element< A, AI > | forward_eps_removal_sp (const Element< A, AI > &a)
| Forward eps_removal_sp of an automaton.

## Detailed Description

This files declares the backward and forward eps_removal algorithm.

See also:
  backward_eps_removal(), backward_eps_removal_here(), forward_eps_removal(), forward_eps_removal_here(), eps_removal(), eps_removal_here()

Definition in file eps_removal_sp.hh.